# Generated from kaminari-activerecord-1.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name kaminari-activerecord

Name: rubygem-%{gem_name}
Version: 1.2.1
Release: 1%{?dist}.5
Summary: Kaminari Active Record adapter
License: MIT
URL: https://github.com/kaminari/kaminari
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0.0
BuildArch: noarch

%description
kaminari-activerecord lets your Active Record models be paginatable.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%exclude %{gem_instdir}/kaminari-activerecord.gemspec
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md

%changelog
* Tue Jun 30 2020 Oleg Girko <ol@infoserver.lv> - 1.2.1-1
- Update to 1.2.1
* Wed Dec 27 2017 Oleg Girko <ol@infoserver.lv> - 1.1.1-1
- Initial package
